###############################################
#
#  Improvements and feedbacks are welcome
#
#  This file is released under GPL >= 3
#
###############################################

# set variables for backend files
set( prefix "${CMAKE_INSTALL_PREFIX}" )
set( localedir "${LOCALE_INSTALL_DIR}" )
set( GETTEXT_PACKAGE "knetworkconf" )
set( scriptsdir "${DATA_INSTALL_DIR}/knetworkconf/backends" )
set( filesdir "files" )


# process perl files
set( knetworkconf_backends
    network-conf
)
set( knetworkconf_perl_libs
    debug.pl
    file.pl
    general.pl
    network.pl
    parse.pl
    platform.pl
    process.pl
    replace.pl
    report.pl
    service.pl
    service-list.pl
    util.pl
    xml.pl
)

foreach(perlfile ${knetworkconf_backends} ${knetworkconf_perl_libs} )
  configure_file( ${perlfile}.in ${perlfile} @ONLY )
  install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${perlfile}
           DESTINATION ${DATA_INSTALL_DIR}/knetworkconf/backends )
endforeach(perlfile)


# process pkg-config file
configure_file( system-tools-backends.pc.in system-tools-backends.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/system-tools-backends.pc
         DESTINATION ${PKGCONFIG_INSTALL_DIR} )
